Index: include/asterisk/config_options.h
===================================================================
--- include/asterisk/config_options.h	(revision 371534)
+++ include/asterisk/config_options.h	(working copy)
@@ -176,7 +176,6 @@
 /*! \def CONFIG_INFO_STANDARD
  * \brief Declare an aco_info struct with default module and preload values
  * \param name The name of the struct
- * \param fn The filename of the config
  * \param arr The global object array for holding the user-defined config object
  * \param alloc The allocater for the user-defined config object
  *
@@ -462,7 +461,6 @@
  * \param info The aco_info to be used for handling the config
  * \param file The file attached to aco_info that the config represents
  * \param cfg A pointer to a loaded ast_config to parse
- * \param reload Whether or not this is a reload
  *
  * \retval ACO_PROCESS_OK Success
  * \retval ACO_PROCESS_ERROR Failure
@@ -496,7 +494,7 @@
 int aco_process_category_options(struct aco_type *type, struct ast_config *cfg, const char *cat, void *obj);
 
 /*! \brief Set all default options of \a obj
- * \param info The aco_type with the options
+ * \param type The aco_type with the options
  * \param category The configuration category from which \a obj is being configured
  * \param obj The object being configured
  *
@@ -511,11 +509,12 @@
  *
  * \param info The aco_info holding this module's config information
  * \param name The name of the option
+ * \param match_type
  * \param types An array of valid option types for matching categories to the correct struct type
  * \param default_val The default value of the option in the same format as defined in a config file
  * \param type The option type (only for default handlers)
  * \param handler The handler function for the option (only for non-default types)
- * \param flags \a type specific flags, stored in the option and available to the handler
+ * \param flags a type specific flags, stored in the option and available to the handler
  * \param argc The number for variadic arguments
  * \param ... field offsets to store for default handlers
  *
@@ -528,10 +527,12 @@
 /*! \brief Register a config option
  * \param info A pointer to the aco_info struct
  * \param name The name of the option
+ * \param matchtype
  * \param types An array of valid option types for matching categories to the correct struct type
  * \param default_val The default value of the option in the same format as defined in a config file
  * \param opt_type The option type for default option type handling
- * \param flags \a type specific flags, stored in the option and available to the handler
+ * \param flags a type specific flags, stored in the option and available to the handler
+ * \param ...
  *
  * \retval 0 Success
  * \retval -1 Failure
@@ -542,6 +543,7 @@
 /*! \brief Register a config option
  * \param info A pointer to the aco_info struct
  * \param name The name of the option
+ * \param matchtype
  * \param types An array of valid option types for matching categories to the correct struct type
  * \param default_val The default value of the option in the same format as defined in a config file
  * \param handler The handler callback for the option
@@ -572,12 +574,12 @@
  * easy to add more.
  * */
 
-/*! \def ARGMAP(func, func_arg, x, ...)
+/*!
  * \brief Map \a func(\a func_arg, field) across all fields including \a x
  * \param func The function (almost certainly offsetof) to map across the fields
  * \param func_arg The first argument (almost certainly a type (e.g. "struct mystruct")
  * \param x The first field
- * \param varargs The rest of the fields
+ * \param ... varargs The rest of the fields
  *
  * Example usage:
  * \code
@@ -598,7 +600,7 @@
  * which it has been tested.
  *
  * As an example of how the processing works:
- *
+ * \verbatim
  * ARGMAP(offsetof, struct foo, a, b, c) ->
  * ARGMAP_(3, offsetof, struct foo, a, b, c) ->
  * ARGMAP_3(offsetof, struct foo, 3, a, b, c) ->
@@ -606,6 +608,7 @@
  * ARGMAP_1(offsetof, struct foo, ARGIFY(3, offsetof(struct foo, a), offsetof(struct foo, b)), c) ->
  * ARGIFY(3, offsetof(struct foo, a), offsetof(struct foo, b), offsetof(struct foo, c)) ->
  * 3, offsetof(struct foo, a), offsetof(struct foo, b), offsetof(struct foo, c)
+ * \endverbatim
  */
 #define ARGMAP(func, func_arg, x, ...) ARGMAP_(VA_NARGS(x, ##__VA_ARGS__), func, func_arg, x, __VA_ARGS__)
 
@@ -651,18 +654,19 @@
  * \brief Results in the number of arguments passed to it
  * \note Currently only up to 8, but expanding is easy. This macro basically counts
  * commas + 1. To visualize:
- *
+ * \verbatim
  * VA_NARGS(one, two, three) ->                    v
  * VA_NARGS1(one, two, three,  8,  7,  6,  5,  4,  3,  2,  1,  0) ->
  * VA_NARGS1( _1,  _2,    _3, _4, _5, _6, _7, _8,  N, ...       ) N -> 3
- *
+ * \endverbatim
  * Note that VA_NARGS *does not* work when there are no arguments passed. Pasting an empty
  * __VA_ARGS__ with a comma like ", ##__VA_ARGS__" will delete the leading comma, but it
  * does not work when __VA_ARGS__ is the first argument. Instead, 1 is returned instead of 0:
- *
+ * \verbatim
  * VA_NARGS() ->                              v
  * VA_NARGS1(  ,  8,  7,  6,  5,  4,  3,  2,  1,  0) ->
  * VA_NARGS1(_1, _2, _3, _4, _5, _6, _7, _8,  N) -> 1
+ * \endverbatim
  */
 #define VA_NARGS(...) VA_NARGS1(__VA_ARGS__, 8, 7, 6, 5, 4, 3, 2, 1, 0)
 #define VA_NARGS1(_1, _2, _3, _4, _5, _6, _7, _8, N, ...) N
@@ -692,7 +696,7 @@
  * default stringfield option handler, so registering options that point to stringfields requires
  * this macro to be called instead of the FLDSET macro.
  * \param type The type with the fields (e.g. "struct my_struct")
- * \param varargs The fields in the struct whose offsets are needed as arguments
+ * \param ... varargs The fields in the struct whose offsets are needed as arguments
  */
 #define STRFLDSET(type, ...) FLDSET(type, __VA_ARGS__, __field_mgr_pool, __field_mgr)
 
@@ -710,9 +714,10 @@
  * FLDSET. This is because a call to FLDSET may be followed by additional arguments in
  * aco_register_option, so the true number of arguments will possibly be different than what
  * ARGMAP returns.
- * \params varags A list of arguments
- *
+ * \param ... varags A list of arguments
+ * \verbatim
  * POPPED(a, b, c) -> b, c
+ * \endverbatim
  */
 #define POPPED(...) POPPED1(__VA_ARGS__)
 #define POPPED1(x, ...) __VA_ARGS__
Index: include/asterisk/crypto.h
===================================================================
--- include/asterisk/crypto.h	(revision 371534)
+++ include/asterisk/crypto.h	(working copy)
@@ -46,8 +46,8 @@
 
 /*!
  * \brief Retrieve a key
- * \param name of the key we are retrieving
- * \param int type of key (AST_KEY_PUBLIC or AST_KEY_PRIVATE)
+ * \param key Name of the key we are retrieving
+ * \param type Intger type of key (AST_KEY_PUBLIC or AST_KEY_PRIVATE)
  *
  * \retval the key on success.
  * \retval NULL on failure.
@@ -70,6 +70,7 @@
  * \brief Check the authenticity of a message signature using a given public key
  * \param key a public key to use to verify
  * \param msg the message that has been signed
+ * \param msglen
  * \param sig the proposed valid signature in raw binary representation
  *
  * \retval 0 if the signature is valid.
@@ -95,6 +96,7 @@
  * \brief Sign a message signature using a given private key
  * \param key a private key to use to create the signature
  * \param msg the message to sign
+ * \param msglen
  * \param sig a pointer to a buffer of at least 128 bytes in which the
  * raw encoded signature will be stored
  *
Index: include/asterisk/audiohook.h
===================================================================
--- include/asterisk/audiohook.h	(revision 371534)
+++ include/asterisk/audiohook.h	(working copy)
@@ -154,10 +154,10 @@
 /*! \brief Reads a frame in from the audiohook structure in mixed audio mode and copies read and write frame data to provided arguments.
  * \param audiohook Audiohook structure
  * \param samples Number of samples wanted
- * \param direction Direction the audio frame came from
- * \param format Format of frame remote side wants back
- * \param ast_frame read_frame - if available, we'll copy the read buffer to this.
- * \param ast_frame write_frame - if available, we'll copy the write buffer to this.
+ * \param ast_format Format of frame remote side wants back
+ * \param read_frame if available, we'll copy the read buffer to this.
+ * \param write_frame if available, we'll copy the write buffer to this.
+ * \param direction
  * \return Returns frame on success, NULL on failure
  */
 struct ast_frame *ast_audiohook_read_frame_all(struct ast_audiohook *audiohook, size_t samples, struct ast_format *format, struct ast_frame **read_frame, struct ast_frame **write_frame);
Index: main/channel.c
===================================================================
--- main/channel.c	(revision 371534)
+++ main/channel.c	(working copy)
@@ -811,7 +811,10 @@
 }
 
 /*! \brief Gives the string form of a given channel state.
-	\note This function is not reentrant.
+ *
+ * \note This function is not reentrant.
+ *
+ * \param state
  */
 const char *ast_state2str(enum ast_channel_state state)
 {
Index: main/cdr.c
===================================================================
--- main/cdr.c	(revision 371534)
+++ main/cdr.c	(working copy)
@@ -1013,7 +1013,10 @@
 	return "UNKNOWN";
 }
 
-/*! Converts AMA flag to printable string */
+/*! Converts AMA flag to printable string 
+ *
+ * \param flag, flags
+ */
 char *ast_cdr_flags2str(int flag)
 {
 	switch (flag) {
Index: main/manager.c
===================================================================
--- main/manager.c	(revision 371534)
+++ main/manager.c	(working copy)
@@ -1103,7 +1103,7 @@
 	int authenticated;	/*!< Authentication status */
 	int readperm;		/*!< Authorization for reading */
 	int writeperm;		/*!< Authorization for writing */
-	char inbuf[1025];	/*!< Buffer -  we use the extra byte to add a '\0' and simplify parsing */
+	char inbuf[1025];	/*!< Buffer -  we use the extra byte to add a '\\0' and simplify parsing */
 	int inlen;		/*!< number of buffered bytes */
 	struct ao2_container *whitefilters;	/*!< Manager event filters - white list */
 	struct ao2_container *blackfilters;	/*!< Manager event filters - black list */
@@ -1120,8 +1120,8 @@
 	AST_LIST_ENTRY(mansession_session) list;
 };
 
-/*! \brief In case you didn't read that giant block of text above the mansession_session struct, the
- * \ref struct mansession is named this solely to keep the API the same in Asterisk. This structure really
+/*! \brief In case you didn't read that giant block of text above the mansession_session structure, the
+ * struct mansession is named this solely to keep the API the same in Asterisk. This structure really
  * represents data that is different from Manager action to Manager action. The mansession_session pointer
  * contained within points to session-specific data.
  */
Index: main/tdd.c
===================================================================
--- main/tdd.c	(revision 371534)
+++ main/tdd.c	(working copy)
@@ -281,8 +281,9 @@
 } while(0);
 
 /*! Generate TDD hold tone
- * \param buf Result buffer
- * \todo How big should this be??? */
+ * \param outbuf, buf Result buffer
+ * \todo How big should this be?
+ */
 int tdd_gen_holdtone(unsigned char *buf)
 {
 	int bytes = 0;
Index: main/ast_expr2f.c
===================================================================
--- main/ast_expr2f.c	(revision 371534)
+++ main/ast_expr2f.c	(working copy)
@@ -2142,8 +2142,8 @@
 }
 
 /** Set the current column.
- * @param line_number
- * @param yyscanner The scanner object.
+ * \param column_no line_number
+ * \param yyscanner The scanner object.
  */
 void ast_yyset_column (int  column_no , yyscan_t yyscanner)
 {
Index: main/acl.c
===================================================================
--- main/acl.c	(revision 371534)
+++ main/acl.c	(working copy)
@@ -371,7 +371,7 @@
  * \param netmask The netmask configured in the host access rule.
  * \param result The resultant address after applying the netmask to the given address
  * \retval 0 Successfully applied netmask
- * \reval -1 Failed to apply netmask
+ * \retval -1 Failed to apply netmask
  */
 static int apply_netmask(const struct ast_sockaddr *addr, const struct ast_sockaddr *netmask,
 		struct ast_sockaddr *result)
Index: main/ccss.c
===================================================================
--- main/ccss.c	(revision 371534)
+++ main/ccss.c	(working copy)
@@ -568,6 +568,8 @@
  * \intenral
  * \brief lookup the ast_device_state mapped to cc_state
  *
+ * \param state
+ *
  * \return the correponding DEVICE STATE from the cc_state_to_devstate_map
  * when passed an internal state.
  */
@@ -1638,7 +1640,7 @@
 	 *
 	 * \details
 	 * This serves mainly as a key when searching for a particular dialstring.
-	 * For instance, let's say that we have called device SIP/400@somepeer. This
+	 * For instance, let's say that we have called device SIP/400\@somepeer. This
 	 * device offers call completion, but then due to some unforeseen circumstance,
 	 * this device backs out and makes CC unavailable. When that happens, we need
 	 * to find the dialstring that corresponds to that device, and we use the
Index: main/sha1.c
===================================================================
--- main/sha1.c	(revision 371534)
+++ main/sha1.c	(working copy)
@@ -336,7 +336,7 @@
 /*!
  * \brief This helper function finishes off the digest calculations.
  * \param context [in/out]  The context to pad.
- * \param Pad_byte [in]  The last byte to add to the message block
+ * \param Pad_Byte [in]  The last byte to add to the message block
  *     before the 0-padding and length.  This will contain the last
  *     bits of the message followed by another single bit.  If the
  *     message was an exact multiple of 8-bits long, Pad_Byte will
@@ -359,7 +359,7 @@
 /*!
  * \brief Pad message to be 512 bits.
  * \param context [in/out]  The context to pad.
- * \param Pad_byte [in]  Last padding byte.
+ * \param Pad_Byte [in]  Last padding byte.
  *
  *  According to the standard, the message must be padded to the next
  *  even multiple of 512 bits.  The first padding bit must be a '1'.
Index: main/pbx.c
===================================================================
--- main/pbx.c	(revision 371534)
+++ main/pbx.c	(working copy)
@@ -6794,6 +6794,7 @@
  * \note This function locks contexts list by &conlist, searches for the right context
  * structure, and locks the macrolock mutex in that context.
  * macrolock is used to limit a macro to be executed by one call at a time.
+ * \param macrocontext, context The context
  */
 int ast_context_lockmacro(const char *context)
 {
@@ -6815,6 +6816,7 @@
  * \note This function locks contexts list by &conlist, searches for the right context
  * structure, and unlocks the macrolock mutex in that context.
  * macrolock is used to limit a macro to be executed by one call at a time.
+ * \param macrocontext, context The context
  */
 int ast_context_unlockmacro(const char *context)
 {
Index: main/strings.c
===================================================================
--- main/strings.c	(revision 371534)
+++ main/strings.c	(working copy)
@@ -70,7 +70,7 @@
 		}
 		/*
 		 * Ask vsnprintf how much space we need. Remember that vsnprintf
-		 * does not count the final <code>'\0'</code> so we must add 1.
+		 * does not count the final <code>'\\0'</code> so we must add 1.
 		 */
 		va_copy(aq, ap);
 		res = vsnprintf((*buf)->__AST_STR_STR + offset, (*buf)->__AST_STR_LEN - offset, fmt, aq);
Index: main/named_acl.c
===================================================================
--- main/named_acl.c	(revision 371534)
+++ main/named_acl.c	(working copy)
@@ -195,7 +195,7 @@
  * \brief Find a named ACL in a container by its name
  *
  * \param container ao2container holding the named ACLs
- * \param name of the ACL wanted to be found
+ * \param cat name of the ACL wanted to be found
  * \retval pointer to the named ACL if available. Null if not found.
  */
 void *named_acl_find(struct ao2_container *container, const char *cat)
Index: main/file.c
===================================================================
--- main/file.c	(revision 371534)
+++ main/file.c	(working copy)
@@ -603,12 +603,12 @@
  * \note The last parameter(s) point to a buffer of sufficient size,
  * which on success is filled with the matching filename.
  *
- * \param filename, name of the file.
- * \param fmt, format to look for the file in. OPTIONAL
- * \param preflang, the perfered language
- * \param buf, returns the matching filename
- * \param buflen, size of the buf
- * \param result_cap, OPTIONAL format capabilities result structure
+ * \param filename Name of the file.
+ * \param fmt Format to look for the file in. OPTIONAL
+ * \param preflang The perfered language
+ * \param buf Returns the matching filename
+ * \param buflen Size of the buf
+ * \param result_cap OPTIONAL format capabilities result structure
  *        returns what formats the file was found in.
  *
  * \retval 1, true. file exists and result format is set
Index: main/audiohook.c
===================================================================
--- main/audiohook.c	(revision 371534)
+++ main/audiohook.c	(working copy)
@@ -99,7 +99,7 @@
 /*! \brief Initialize an audiohook structure
  * \param audiohook Audiohook structure
  * \param type
- * \param source
+ * \param init, source, init_flags
  * \return Returns 0 on success, -1 on failure
  */
 int ast_audiohook_init(struct ast_audiohook *audiohook, enum ast_audiohook_type type, const char *source, enum ast_audiohook_init_flags init_flags)
Index: main/xmldoc.c
===================================================================
--- main/xmldoc.c	(revision 371534)
+++ main/xmldoc.c	(working copy)
@@ -2007,6 +2007,7 @@
  *  \brief Get the content of a field (synopsis, description, etc) from an asterisk document tree
  *  \param type Type of element (application, function, ...).
  *  \param name Name of element (Dial, Echo, Playback, ...).
+ *  \param module
  *  \param var Name of field to return (synopsis, description, etc).
  *  \param raw Field only contains text, no other elements inside it.
  *  \retval NULL On error.
Index: res/res_timing_kqueue.c
===================================================================
--- res/res_timing_kqueue.c	(revision 371534)
+++ res/res_timing_kqueue.c	(working copy)
@@ -3,7 +3,7 @@
  *
  * Copyright (C) 2010, Digium, Inc.
  *
- * Tilghman Lesher <tlesher AT digium DOT com>
+ * Tilghman Lesher tlesher AT digium DOT com
  *
  * See http://www.asterisk.org for more information about
  * the Asterisk project. Please do not directly contact
@@ -18,7 +18,7 @@
 
 /*!
  * \file
- * \author Tilghman Lesher <tlesher AT digium DOT com>
+ * \author Tilghman Lesher tlesher AT digium DOT com
  *
  * \brief kqueue timing interface
  */
Index: res/res_config_pgsql.c
===================================================================
--- res/res_config_pgsql.c	(revision 371534)
+++ res/res_config_pgsql.c	(working copy)
@@ -7,7 +7,7 @@
  * Mark Spencer <markster@digium.com>  - Asterisk Author
  * Matthew Boehm <mboehm@cytelcom.com> - MySQL RealTime Driver Author
  *
- * res_config_pgsql.c <PostgreSQL plugin for RealTime configuration engine>
+ * res_config_pgsql <PostgreSQL plugin for RealTime configuration engine>
  *
  * v1.0   - (07-11-05) - Initial version based on res_config_mysql v2.0
  */
@@ -139,7 +139,7 @@
  *  \return -2 on query failure that resulted in disconnection
  *  \return 0 on success
  *
- *  \example see pgsql_exec for full example
+ *  \example pgsql_exec for full example
  */
 static int _pgsql_exec(const char *database, const char *tablename, const char *sql, PGresult **result)
 {
Index: res/res_xmpp.c
===================================================================
--- res/res_xmpp.c	(revision 371534)
+++ res/res_xmpp.c	(working copy)
@@ -1017,6 +1017,7 @@
  * \param client the configured XMPP client we use to connect to a XMPP server
  * \param node_type the type of node to create
  * \param name the name of the node to create
+ * \param collection_name Collection name
  * \return void
  */
 static void xmpp_pubsub_create_node(struct ast_xmpp_client *client, const char *node_type, const
@@ -1078,6 +1079,7 @@
 /*!
  * \brief Create a PubSub leaf node.
  * \param client the configured XMPP client we use to connect to a XMPP server
+ * \param collection_name Collection name
  * \param leaf_name The name to use for this collection
  * \return void.
  */
@@ -1090,8 +1092,10 @@
 /*!
  * \brief Publish MWI to a PubSub node
  * \param client the configured XMPP client we use to connect to a XMPP server
- * \param device the name of the device whose state to publish
- * \param device_state the state to publish
+ * \param mailbox The Mailbox
+ * \param context The Context
+ * \param oldmsgs Old messages
+ * \param newmsgs New Messages
  * \return void
  */
 static void xmpp_pubsub_publish_mwi(struct ast_xmpp_client *client, const char *mailbox,
@@ -1278,6 +1282,7 @@
 /*!
  * \brief Callback for handling PubSub events
  * \param data void pointer to ast_xmpp_client structure
+ * \param pak A pak
  * \return IKS_FILTER_EAT
  */
 static int xmpp_pubsub_handle_event(void *data, ikspak *pak)
Index: res/res_jabber.c
===================================================================
--- res/res_jabber.c	(revision 371534)
+++ res/res_jabber.c	(working copy)
@@ -3305,6 +3305,7 @@
 /*!
  * \brief Callback for handling PubSub events
  * \param data void pointer to aji_client structure
+ * \param pak A pak
  * \return IKS_FILTER_EAT
  */
 static int aji_handle_pubsub_event(void *data, ikspak *pak)
@@ -3477,8 +3478,10 @@
 /*!
  * \brief Publish MWI to a PubSub node
  * \param client the configured XMPP client we use to connect to a XMPP server
- * \param device the name of the device whose state to publish
- * \param device_state the state to publish
+ * \param mailbox The mailbox
+ * \param context The context
+ * \param oldmsgs Old messages
+ * \param newmsgs New messages
  * \return void
  */
 static void aji_publish_mwi(struct aji_client *client, const char *mailbox,
@@ -3835,6 +3838,7 @@
  * \brief Create a PubSub leaf node.
  * \param client the configured XMPP client we use to connect to a XMPP server
  * \param leaf_name The name to use for this collection
+ * \param collection_name The name to use for this collection
  * \return void.
  */
 static void aji_create_pubsub_leaf(struct aji_client *client, const char *collection_name,
@@ -3848,6 +3852,7 @@
  * \param client the configured XMPP client we use to connect to a XMPP server
  * \param node_type the type of node to create
  * \param name the name of the node to create
+ * \param collection_name The name to use for this collection
  * \return iks*
  */
 static iks* aji_create_pubsub_node(struct aji_client *client, const char *node_type, const
Index: res/res_smdi.c
===================================================================
--- res/res_smdi.c	(revision 371534)
+++ res/res_smdi.c	(working copy)
@@ -24,7 +24,7 @@
  * \author Russell Bryant <russell@digium.com>
  *
  * Here is a useful mailing list post that describes SMDI protocol details:
- * \ref http://lists.digium.com/pipermail/asterisk-dev/2003-June/000884.html
+ * http://lists.digium.com/pipermail/asterisk-dev/2003-June/000884.html
  *
  * \todo This module currently has its own mailbox monitoring thread.  This should
  * be converted to MWI subscriptions and just let the optional global voicemail
